mc-forge (latest)

Published 3 months ago by Jef Roosens

Installation

docker pull git.rustybever.be/chewing_bever/mc-forge:latest

Image Layers

ADD file:8b1e79f91081eb527b455431af58e823d8b84d9d0c8e5c47cb7bda7507954ae4 in /
CMD ["bash"]
/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates p11-kit ; rm -rf /var/lib/apt/lists/*
ENV JAVA_HOME=/usr/local/openjdk-17
ENV PATH=/usr/local/openjdk-17/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
ENV LANG=C.UTF-8
ENV JAVA_VERSION=17.0.2
/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; case "$arch" in 'amd64') downloadUrl='https://download.java.net/java/GA/jdk17.0.2/dfd4a8d0985749f896bed50d7138ee7f/8/GPL/openjdk-17.0.2_linux-x64_bin.tar.gz'; downloadSha256='0022753d0cceecacdd3a795dd4cea2bd7ffdf9dc06e22ffd1be98411742fbb44'; ;; 'arm64') downloadUrl='https://download.java.net/java/GA/jdk17.0.2/dfd4a8d0985749f896bed50d7138ee7f/8/GPL/openjdk-17.0.2_linux-aarch64_bin.tar.gz'; downloadSha256='13bfd976acf8803f862e82c7113fb0e9311ca5458b1decaef8a09ffd91119fa4'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends wget ; rm -rf /var/lib/apt/lists/*; wget --progress=dot:giga -O openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; { echo '#!/usr/bin/env bash'; echo 'set -Eeuo pipefail'; echo 'trust extract --overwrite --format=java-cacerts --filter=ca-anchors --purpose=server-auth "$JAVA_HOME/lib/security/cacerts"'; } > /etc/ca-certificates/update.d/docker-openjdk; chmod +x /etc/ca-certificates/update.d/docker-openjdk; /etc/ca-certificates/update.d/docker-openjdk; find "$JAVA_HOME/lib" -name '*.so' -exec dirname '{}' ';' | sort -u > /etc/ld.so.conf.d/docker-openjdk.conf; ldconfig; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version
CMD ["jshell"]
ARG MC_VERSION
ARG FORGE_VERSION
RUN |2 MC_VERSION=1.18.2 FORGE_VERSION=40.1.68 /bin/sh -c apt update && apt install --no-install-recommends -y python3-minimal python3-setuptools python3-pip curl && python3 -m pip install mcstatus && apt --purge remove -y python3-pip python3-setuptools && apt clean # buildkit
WORKDIR /app
RUN |2 MC_VERSION=1.18.2 FORGE_VERSION=40.1.68 /bin/sh -c mkdir worlds config # buildkit
VOLUME [/app/config/cache]
WORKDIR /app/config
ENV XMX=4
ENV MC_VERSION=1.18.2
ENV FORGE_VERSION=40.1.68
COPY entrypoint.sh /entrypoint.sh # buildkit
ENTRYPOINT ["/bin/sh" "-c" "/entrypoint.sh"]
HEALTHCHECK &{["CMD-SHELL" "mcstatus localhost:25565 ping"] "30s" "5s" "15s" '\x03'}
Details
Container
2022-08-29
1
OCI / Docker
linux/amd64
Versions (1) View all
latest on 2022-08-29